import java.util.Arrays;
import java.util.Scanner;

/**
 *
 * @author User
 */
public class JednoDimenzionalniMilos {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        
        int x,n;
        int p,m;
        int r;
        Scanner in = new Scanner(System.in);
        n=in.nextInt();
        x=in.nextInt();
        int niz[]=new int[n];
        for (int i=0;i<n;i++){
            niz[i]=in.nextInt();
        }
        Arrays.sort(niz);
        
        if(niz[n-1]>=x){
            p=niz[n-1]-x;
        }
        else{
            p=x-niz[n-1];
        }
        
             if(niz[0]>=x){
            m=niz[0]-x;
        }
        else{
            m=x-niz[0];
        }
                     System.out.println(niz[0]);
                                          System.out.println(niz[n-1]);


        if(niz[n-1]>x&&niz[0]<x){
        r=2*(x-niz[0])+niz[n-1]-x;
        System.out.println(r);
        }
        else if(niz[n-1]<x){
        r=x-niz[0];
        System.out.println(r);
        }
        else if(niz[0]>x){
        r=niz[n-1]-x;
        System.out.println(r);
        }
        
    }
    
}